> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post share viewform submit

> share form view submit new record



## OpenAPI

````yaml /swagger.json post /share/{shareId}/view/form-submit
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /share/{shareId}/view/form-submit:
    post:
      tags:
        - share
      description: share form view submit new record
      parameters:
        - schema:
            type: string
          required: true
          name: shareId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                fields:
                  type: object
                  additionalProperties:
                    nullable: true
                  description: >-
                    Objects with a fields key mapping fieldId or field name to
                    value for that field.
                typecast:
                  type: boolean
              required:
                - fields
      responses:
        '201':
          description: Successfully submit
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The record id.
                  name:
                    type: string
                    description: primary field value
                  fields:
                    type: object
                    additionalProperties:
                      nullable: true
                    description: >-
                      Objects with a fields key mapping fieldId or field name to
                      value for that field.
                  autoNumber:
                    type: number
                    description: Auto number, a unique identifier for each record
                  createdTime:
                    type: string
                    description: Created time, date ISO string (new Date().toISOString).
                  lastModifiedTime:
                    type: string
                    description: >-
                      Last modified time, date ISO string (new
                      Date().toISOString).
                  createdBy:
                    type: string
                    description: Created by, user name
                  lastModifiedBy:
                    type: string
                    description: Last modified by, user name
                  permissions:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties:
                        type: boolean
                    description: Permissions for the record
                  undeletable:
                    type: boolean
                    description: Whether the record is undeletable
                required:
                  - id
                  - fields
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request POST \
              --url https://app.teable.ai/api/share/%7BshareId%7D/view/form-submit \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"fields":{"property1":null,"property2":null},"typecast":true}'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/share/%7BshareId%7D/view/form-submit';

            const options = {
              method: 'POST',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '{"fields":{"property1":null,"property2":null},"typecast":true}'
            };


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: >-
            const http = require('https');


            const options = {
              method: 'POST',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/share/%7BshareId%7D/view/form-submit',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };


            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });


            req.write(JSON.stringify({fields: {property1: null, property2:
            null}, typecast: true}));

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload =
            "{\"fields\":{\"property1\":null,\"property2\":null},\"typecast\":true}"


            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }


            conn.request("POST", "/api/share/%7BshareId%7D/view/form-submit",
            payload, headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````